conversations
listlengths
2
3
source
stringclasses
1 value
stack
stringclasses
1 value
[ { "from": "system", "value": "Use nvidia docker instead of normal docker.\n\nThis simplifies the process by not requiring any weird device\narguments.\n" }, { "from": "human", "value": "#!/bin/bash\n\nsudo docker run -ti --device /dev/nvidia0:/dev/nvidia0 --device \\\n /dev/nvidiactl:/dev/nvidi...
shell
chosen
[ { "from": "system", "value": "Install different cloud-utils packages based on which version of ubuntu\n" }, { "from": "human", "value": "#!/bin/bash -eux\n\n# Install growpart\napt-get -y install cloud-guest-utils cloud-init\napt-get -y remove landscape-common\n\nif [ \"$(lsb_release -rs)\" == \...
shell
chosen
[ { "from": "system", "value": "Check if cluster is created before proceeding\n\nSigned-off-by: Adam King <a74e182e49abf6252c9b13e1b94c4c5a47f8da9a@us.ibm.com>\n" }, { "from": "human", "value": "#!/bin/bash\n\necho \"Create Guestbook\"\nIP_ADDR=$(bx cs workers $CLUSTER_NAME | grep deployed | awk '...
shell
chosen
[ { "from": "system", "value": "Add revision back into master commit\n" }, { "from": "human", "value": "#!/bin/bash\n\necho -e \"\\033[0;32mDeploying updates to GitHub...\\033[0m\"\n\n# Deploys the contents of public/ to the master branch\ncd public/\n\ngit init\ngit config user.name \"Sean T. All...
shell
chosen
[ { "from": "system", "value": "Fix SCALA RUNTIME variable name.\n\ngit-svn-id: 9019e3cb94a522c981194da839dc9955d4aaf999@34303 60cd2ccc-2b05-0410-9566-da273a940bff\n" }, { "from": "human", "value": "# #!/bin/sh\n# . constants.sh\n# . auto-options.sh\n\n\nfunction scala {\n # arg 1: amount of memor...
shell
chosen
[ { "from": "system", "value": "Fix shell out where sudo privs are required for `npm install -g`.\n\nAt least in OS X and Linux if I remember correctly.\n" }, { "from": "human", "value": "#!/bin/bash\n\necho \"\"\necho \"Checking dependencies for vagrant-jenkins!\"\necho \"\"\n\necho -n \"[CHECK] ...
shell
chosen
[ { "from": "system", "value": "Move web version to 0.0.2\n" }, { "from": "human", "value": "#!/bin/bash\n\nwebTag=\"${WEB_TAG:-0.0.1}\"\n\nhere=$(python -c 'import os; print os.path.realpath(os.getcwd())')\nwebDir=${here}/web\ntest -d ${webDir} || git clone https://github.com/keydotcat/web.git ${...
shell
chosen
[ { "from": "system", "value": "Prepare deploy / docker machine\n" }, { "from": "human", "value": "#!/bin/sh -e\n\nCOLOR_SUCCESS='\\033[0;32m'\nNC='\\033[0m'\n\nls\n/docker/scripts/ci.sh\n\n/docker/scripts/setup.sh\n\nchmod 777 -Rf /var/www/html/var\n\nexec apache2-foreground" }, { "from":...
shell
chosen
[ { "from": "system", "value": "mod_admin_web: Make dependency fetching more reliable\n" }, { "from": "human", "value": "#!/bin/sh\ncd www_files/js\ntest -e jquery-1.4.4.min.js || wget http://code.jquery.com/jquery-1.4.4.min.js\ntest -e adhoc.js || wget http://cgit.babelmonkeys.de/cgit.cgi/adhocwe...
shell
chosen
[ { "from": "system", "value": "Modify svninfo to play better with subversion. It will refuse to generate a version string if the working copy is dirty (since such a string is useless and misleading).\n\n" }, { "from": "human", "value": "#!/usr/bin/perl\n\nmy $urlbase = \"\";\nmy $revision = \"\";...
shell
chosen
[ { "from": "system", "value": "Remove /tmp/dotfiles if it exists\n\nSigned-off-by: Lou Marvin Caraig <5f33b97f6c357145640aa3022c2df12fd56c93cf@gmail.com>\n" }, { "from": "human", "value": "set -e\n\ndownload_dotfiles() {\n GITHUB_REPOSITORY=\"se7entyse7en/dotfiles\"\n DOTFILES_ORIGIN=\"git@...
shell
chosen
[ { "from": "system", "value": "Add alias for syncing with mission control\n" }, { "from": "human", "value": "# Sync my wp.com sandbox\nalias wpcom-sync='unison -ui text -repeat watch wpcom'\n\nalias pnpm='npx pnpm'\n" }, { "from": "gpt", "value": "# Sync my wp.com sandbox\nalias wpcom...
shell
chosen
[ { "from": "system", "value": "Add a simple header line to our output\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\n\ntrap 'echo >&2 Ctrl+C captured, exiting; exit 1' SIGINT\n\nimage=\"$1\"; shift\n\ndocker build --pull -t repo-info -q . > /dev/null\n\nname=\"repo-info-$RANDOM\"\ntrap \...
shell
chosen
[ { "from": "system", "value": "Update 1.7 to be latest\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\n\ndeclare -A aliases\naliases=(\n\t[1.6]='1 latest'\n)\n\ncd \"$(dirname \"$(readlink -f \"$BASH_SOURCE\")\")\"\n\nversions=( */ )\nversions=( \"${versions[@]%/}\" )\nurl='git://github.c...
shell
chosen
[ { "from": "system", "value": "Set nullglob option in travis script\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -o errexit\nset -o errtrace\nset -o nounset\n\ntap='travis-tmp/nodenv'\nformula=''\n\nmain () {\n tap_repo\n trap untap_repo EXIT\n trap uninstall_formula ERR\n fo...
shell
chosen
[ { "from": "system", "value": "Add debug prints to deploy script.\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [ \"$TRAVIS_BRANCH\" == \"master\" ]; then\n cd $HOME\n git clone --quiet https://${GH_TOKEN}@github.com/gsnewmark/beatha > /dev/null\n\n cd beatha\n git remote set-url origi...
shell
chosen
[ { "from": "system", "value": "Rework bash script for repo mirroring" }, { "from": "human", "value": "#!/bin/bash\nset -e\nset -v\nworkdir=`pwd`\noutput=$workdir/out\n\ncd sts4\norigin_url=\"$(git config --get remote.origin.url)\"\n\ncd $output\n\necho \"Syncing original repo $origin_url' and mir...
shell
chosen
[ { "from": "system", "value": "Add new minecraft backup to archive.\n" }, { "from": "human", "value": "#!/bin/bash\nset -euo pipefail\n\ncd \"$HOME/documents/games/minecraft-servers/$1\"\necho \"Backing up Minecraft server '$1'...\"\n\nreadonly backup_dir=\"_backups/$(date +'%Y-%m-%d')\"\nmkdir -...
shell
chosen
[ { "from": "system", "value": "Add documentation and make parameter more clear\n" }, { "from": "human", "value": "append-path-entry () {\n if [ -d $1 ]; then\n PATH=\"$PATH:$1\"\n fi\n}\n\nappend-path-entry $HOME/bin\nappend-path-entry $SOURCE_DIR/local-only/bin\n\nexport PATH\n" }...
shell
chosen
[ { "from": "system", "value": "Fix the rest of the Active Subscribers notifications\n" }, { "from": "human", "value": "#!/bin/bash\n\nsite_name=`curl -X GET http://localhost:8085/configuration/site 2>/dev/null | python -mjson.tool | grep 'site_name' | cut -d: -f2 | tr -d '\"' | tr -d ' '`\nactive...
shell
chosen
[ { "from": "system", "value": "Make sure to delete old files\n" }, { "from": "human", "value": "python input_to_database.py main\npython input_to_database.py maf --vcf2mafPath ~/vcf2maf-1.6.14 --vepPath ~/vep --vepData ~/.vep --createNewMafDatabas\npython input_to_database.py vcf --vcf2mafPath ~/...
shell
chosen
[ { "from": "system", "value": "Implement changes required by the new directory structure\n\n\ngit-svn-id: ecbadac9c76e8cf640a0bca86f6bd796c98521e3@23835 27541ba8-7e3a-0410-8455-c3a389f83636\n" }, { "from": "human", "value": "#! /bin/sh\n\n# Script to update base/inc/RVersion.h.\n# Called by main ...
shell
chosen
[ { "from": "system", "value": "Use su instead of root in script message\n" }, { "from": "human", "value": "#!/bin/bash\n\n#\n# Should be run as local user\n#\n\nif [ \"$(id -u)\" == \"0\" ]; then\n echo \"This script must not be run as root\"\n exit 1\nfi\n\ncd ~/\nmkdir -p repo/github\ncd ...
shell
chosen
[ { "from": "system", "value": "Fix alias for Rubocop API change\n" }, { "from": "human", "value": "alias be='bundle exec'\n\nalias irb=pry\nalias railsc='pry -r ./config/environment'\nalias fs='foreman start'\n\nalias rr='rubocop -R'\n" }, { "from": "gpt", "value": "alias be='bundle e...
shell
chosen
[ { "from": "system", "value": "Add default to title() function\n" }, { "from": "human", "value": "\n# -------------------------------------------------------------------------\n# Functions\n# -------------------------------------------------------------------------\n\n# Set the window title.\nfun...
shell
chosen
[ { "from": "system", "value": "Deploy to prod instead of staging\n" }, { "from": "human", "value": "#!/bin/bash\n\nDEPLOY_KEY=\"ci/deploy-id_rsa\"\nSSH_STANDARD_ARGS=\"-l esteele -o StrictHostKeyChecking=no -o BatchMode=yes\"\n\ntouch $DEPLOY_KEY\nchmod 600 $DEPLOY_KEY\n\nif [ \"$1\" = \"staging\...
shell
chosen
[ { "from": "system", "value": "Build script for filters labeled for development.\n" }, { "from": "human", "value": "#!/bin/bash\n\n#------ WRAP FILTERS IN XML ------#\nfor filename in ./filters/filter_*.py; do\n filtername=\"${filename%.*}\"\n python2 python_filter_generator.py $filename \"...
shell
chosen
[ { "from": "system", "value": "Select the item in the step viewer.\n" }, { "from": "human", "value": "#!/bin/sh\n# file: stepviewer.sh\n# vim:fileencoding=utf-8:fdm=marker:ft=sh\n# Script to display STEP files using OpenCascade's DRAWEXE\n#\n# Copyright © 2021 R.F. Smith <rsmith@xs4all.nl>\n# SPD...
shell
chosen
[ { "from": "system", "value": "Remove use of `bc`, not included on some linuxes\n" }, { "from": "human", "value": "#! /bin/sh\nset -eu\n\ncase $1 in\n 1) echo Separate subject from body with a blank line ;;\n 2) echo Limit the subject line to 50 characters ;;\n 3) echo Capitalize the subject l...
shell
chosen
[ { "from": "system", "value": "Exit with failure code when build fails\n" }, { "from": "human", "value": "#!/bin/bash\nif ./gradlew --stacktrace build publishToMavenLocal; then\n ./gradlew --stacktrace --settings-file=test-settings.gradle testPlugin\nfi" }, { "from": "gpt", "value"...
shell
chosen
[ { "from": "system", "value": "Add --info to all build commands\n" }, { "from": "human", "value": "#!/bin/bash\n# This script will build the project.\n\nif [ \"$TRAVIS_PULL_REQUEST\" != \"false\" ]; then\n echo -e \"Build Pull Request #$TRAVIS_PULL_REQUEST => Branch [$TRAVIS_BRANCH]\"\n ./gradl...
shell
chosen
[ { "from": "system", "value": "Fix the version so it matches the binary in the repo right now\n" }, { "from": "human", "value": "#!/bin/bash -e\n#\n# Build Nginx from source, and wrap it up with fpm\n#\n# Author: <adam@opscode.com>\n#\n# This script works on Ubuntu, and maybe on Debian.\n\nset -v...
shell
chosen
[ { "from": "system", "value": "Add execute permissions to fs(lex|yacc).exe\n\nOtherwise the build script doesn't work on mono\n" }, { "from": "human", "value": "mono paket.bootstrapper.exe\nmono paket.exe install\n" }, { "from": "gpt", "value": "mono paket.bootstrapper.exe\nmono paket...
shell
chosen
[ { "from": "system", "value": "Create 'data' directory if it doesn't exist\n" }, { "from": "human", "value": "#!/bin/bash\n\nfunction die() { echo $*; exit -1; }\n\ncd $(dirname $0)\nsource env.sh\nJAVA_VER=$(java -version 2>&1 | \\\n sed 's/java version \"\\(.*\\)\\.\\(.*\\)\\..*\"/\\1\\2/; 1q'...
shell
chosen
[ { "from": "system", "value": "Make sure permissions on the private host key file is tight enough that\nsshd doesn't complain. Quote $srcdir to try to cope with embedded spaces.\n" }, { "from": "human", "value": "#!/bin/sh\n\n# Written by Simon Josefsson.\n\n# Start sshd, invoke parameters, savin...
shell
chosen
[ { "from": "system", "value": "Simplify shell code to get package version.\n" }, { "from": "human", "value": " #!/bin/bash\nset -e\n# Super simple release script for browsertime\n# Lets use it it for now and make it better over time :)\n# You need np for this to work\n# npm install --global np\nn...
shell
chosen
[ { "from": "system", "value": "Build test app as SWF version 11\n" }, { "from": "human", "value": "#!/bin/bash\n\nFLEXSDK=\"../../../FlexSDK\"\n\"$FLEXSDK/bin/amxmlc\" -compiler.source-path=../../lib/src -output FRESteamWorksTest.swf ../src/FRESteamWorksTest.as\n" }, { "from": "gpt", ...
shell
chosen
[ { "from": "system", "value": "Build googletest and see if CMake can find it" }, { "from": "human", "value": "pwd\ngit submodule update --init --recursive\nbrew install sfml\nmkdir build\ncd build\ncmake .. -DCMAKE_MODULE_PATH=/usr/local/opt/sfml/share/SFML/cmake/Modules\nmake\n" }, { "fr...
shell
chosen
[ { "from": "system", "value": "Remove files older than 30 days" }, { "from": "human", "value": "#!/bin/bash\n\n# Navigate to the \"backup\" directory of the application\ncd /root/.literacyapp/backup_prod/\n\n# Remove files older than 14 days\nfind database -type f -mtime +13 -exec rm {} \\;\n" ...
shell
chosen
[ { "from": "system", "value": "Add topkg to travis configuration\n" }, { "from": "human", "value": "travis_install_on_linux () {\n sudo apt-get install liblapack-dev\n sudo apt-get install gfortran # for lbgfs\n sudo apt-get install libffi-dev # for Ctypes\n}\n\ntravis_install_on_osx...
shell
chosen
[ { "from": "system", "value": "Make it easier to test this script locally.\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -e\nset -x\n\nmkdir empty\ncd empty\n\nINSTALLDIR=$(python -c \"import os, wsproto; print(os.path.dirname(wsproto.__file__))\")\npytest --cov=$INSTALLDIR --cov-config=....
shell
chosen
[ { "from": "system", "value": "Correct tests folder path from build\n\nWhen running the tests we are still the ‘build’ folder. Corrected the\nchange directory to the test folder.\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -e\nset -x\n\nif [[ \"$(uname -s)\" == 'Darwin' ]]; then\n if...
shell
chosen
[ { "from": "system", "value": "Use version 1.18 of libgpg-error\n" }, { "from": "human", "value": "#!/bin/bash\n\n# Copyright (C) 2014 - Badr BADRI \n# This program is free software; you can redistribute it and/or\n# modify it under the terms of the GNU General Public License\n# as published by t...
shell
chosen
[ { "from": "system", "value": "Fix ICLOUD_HOME path and add ICLOUD_DRIVE. Add iclouddrive alias\n" }, { "from": "human", "value": "#-------------------------------------------------------------------------------\n#\n# shell/dirs.zsh\n# Quick dir navigation commands\n#\n#--------------------------...
shell
chosen
[ { "from": "system", "value": "Split api docs into separate, linked, files.\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [[ $TRAVIS_BRANCH == \"master\" ]]; then\n sphinx-apidoc -T -o docs/source pyramid_jsonapi\n travis-sphinx build\n travis-sphinx deploy\nfi\n" }, { "from": "...
shell
chosen
[ { "from": "system", "value": "Use a CDN to get assets\n" }, { "from": "human", "value": "curl https://raw.githubusercontent.com/jprichardson/string.js/master/lib/string.js > ./vendor/assets/javascripts/string.js\ncurl https://raw.githubusercontent.com/jprichardson/string.js/master/lib/string.min...
shell
chosen
[ { "from": "system", "value": "Revert vhost config for Travis tests\n" }, { "from": "human", "value": "#!/bin/sh\n\nBASEDIR=$(dirname $0)\nBASEDIR=$(readlink -f \"$BASEDIR/..\")\nROOTDIR=$(readlink -f \"$BASEDIR/..\")\n\nVHOSTNAME=\"www.simplemappr.local\"\nif [ \"$1\" ]\nthen\n VHOSTNAME=\"$1...
shell
chosen
[ { "from": "system", "value": "Use double-quotes so variable substitution happens properly\n" }, { "from": "human", "value": "#!/bin/sh\n\n# Get ERTS version from erlang \nERTS_VSN=`erl -eval 'io:format(\"~s\\n\", [erlang:system_info(version)]).' -noshell -s erlang halt`\n\n# Get the current patc...
shell
chosen
[ { "from": "system", "value": "chore: Update sccache to fix travis on beta\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -ex\n\nif [[ $1 == *\"apple\"* ]]; then\n TARGET=$1\nelse\n TARGET='x86_64-unknown-linux-musl'\nfi\n\nSCCACHE_VERSION=\"sccache-0.2.8-${TARGET}\"\ncurl -L \"https...
shell
chosen
[ { "from": "system", "value": "Fix the last case statement\n" }, { "from": "human", "value": "#!/bin/zsh\nos=$(uname -s)\nenv >> dupa\ncase $os in\n Linux*)\n kdiff3 $*\n ;;\n Cygwin*)\n c:\\\\Program Files\\\\Kdiff3\\\\kdiff3.exe $*\n ;;\n *)\n echo \"...
shell
chosen
[ { "from": "system", "value": "Add alias to change directory to freebsd usr/local/etc\n" }, { "from": "human", "value": "#aliases and functions for freebsd\n\n#basic shell setup to mimic ubuntu\nexport PS1=\"\\[\\033[01;32m\\]\\u@\\h\\[\\033[00m\\]:\\[\\033[01;34m\\]\\w\\[\\033[00m\\]\\$ \"\nLS_C...
shell
chosen
[ { "from": "system", "value": "Remove blast installation in preparation script\n" }, { "from": "human", "value": "#!/bin/bash\n\n. ./src/prepare_galaxy_tools/functions.sh \n\ngalaxy_tool_dir=$1\ntool_dir=$2\ncurrent_dir=`pwd`\n\nsection_dir=search_similarity\n\necho \"Search similarity...\"\ncrea...
shell
chosen
[ { "from": "system", "value": "Add more debugging - CI-specific issue persists\n" }, { "from": "human", "value": "#!/bin/bash\n\nmkdir -p src/test/resources/results/actual/\n\nEXPECTED_RESULT=\"src/test/resources/results/expected/report.txt\"\nACTUAL_RESULT=\"src/test/resources/results/actual/rep...
shell
chosen
[ { "from": "system", "value": "Use bash instead of sh\n" }, { "from": "human", "value": "#!/bin/sh\n\ncommand -v apt-get >/dev/null 2>&1 ||\n{ echo >&2 \"Installation script requires apt-get but it's not installed. Aborting.\";\nexit 1; }\n\n\nsudo apt-get install -y python2.7\n\nsudo apt-get i...
shell
chosen
[ { "from": "system", "value": "Fix shell script syntax in order to fix Travis builds.\n" }, { "from": "human", "value": "#!/bin/sh\nset -eu\n\nTOKEN=$1\nMSG_SUFFIX=${2:-''}\n\nif [ ! -z \"$MSG_SUFFIX\" ]\nthen\n MSG_SUFFIX=\" for ${MSG_SUFFIX}\"\nfi\n\nREPO=$(echo \"PHP-CS-Fixer/PHP-CS-Fixer.g...
shell
chosen
[ { "from": "system", "value": "Use tap reporter for prove\n" }, { "from": "human", "value": "#!/bin/sh\n\nMOCHA=./node_modules/grunt-mocha-test/node_modules/.bin/mocha\n$MOCHA --reporter spec --require './sandbox/loader' sandbox/mocha_node.js\n\nexit 0\n" }, { "from": "gpt", "value": ...
shell
chosen
[ { "from": "system", "value": "Apply to all branches, not only greenkeeper\n" }, { "from": "human", "value": "#!/bin/bash\n\n# gh-pages cleanup script: Switches to gh-pages branch, and removes all\n# greenkeeper/* directories that aren't listed as remote branches\n\n# Join list of remote greenkee...
shell
chosen
[ { "from": "system", "value": "Switch third_party to boost 1.66.0\n" }, { "from": "human", "value": "mkdir third_party_sources ||:\ncd third_party_sources\ngit clone --branch v1.2.8 https://github.com/madler/zlib.git\ngit clone --branch 1.8.0 https://github.com/open-source-parsers/jsoncpp.git\ngi...
shell
chosen
[ { "from": "system", "value": "Add some debugging to the Travis script\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -o errexit\nset -o nounset\n\n# Start serving the site in the background\ntrap make stop exit\nmake serve\n\n# Wait for the server to become available\nset +o errex...
shell
chosen
[ { "from": "system", "value": "Rename ocean_polygons to ocean_polygon, name column geometry, set srid to 3857 (mercator)\n" }, { "from": "human", "value": "#!/bin/bash\nset -o errexit\nset -o pipefail\nset -o nounset\n\nreadonly IMPORT_DATA_DIR=${IMPORT_DATA_DIR:-/data/import}\nreadonly WATER_POL...
shell
chosen
[ { "from": "system", "value": "Modify how to search for bucket" }, { "from": "human", "value": "#!/bin/bash\n\n# The following IAM roles are required:\n# AmazonS3ReadOnlyAccess\n\nif [ ! -d ~magento/.ssh/ ];\nthen\n mkdir ~magento/.ssh/\n chown magento:magento ~magento/.ssh/\nfi\n\nwhile [ -z...
shell
chosen
[ { "from": "system", "value": "Use parameter instead of expected variable name\n" }, { "from": "human", "value": "include file.util.FileUtil\ninclude file.writer.FileWriter\n\nPropsTestUtil(){\n\twritePropsFile(){\n\t\tFileWriter append $(FileUtil makeFile ${propsFile}) test.enabled=true\n\t}\n\n...
shell
chosen
[ { "from": "system", "value": "Use relative paths instead of GOPATH\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -e\n\n# Takes first entry in GOPATH in case has multiple entries\nGOPATH=`echo $GOPATH | tr ':' '\\n' | head -1`\nBEATNAME=$1\nBEATPATH=$2\nLIBBEAT=${GOPATH}/src/githu...
shell
chosen
[ { "from": "system", "value": "Add `whoami` to check permissions in the folder\n" }, { "from": "human", "value": "#!/bin/bash\nset -ev\ntest -d cython-hidapi || git clone https://github.com/trezor/cython-hidapi\n(cd cython-hidapi; git pull; git submodule init; git submodule update)\ntest -d pyth...
shell
chosen
[ { "from": "system", "value": "Move the bundle path outside the workspace (e.g. bosh/) so that rubocop doesn't lint gems\n" }, { "from": "human", "value": "#!/bin/bash -l\nset -e\n\nenv | sort # so we know what variables are present.\n\ngit clean -df && git checkout . # ensur...
shell
chosen
[ { "from": "system", "value": "Use patched branch of ion\n" }, { "from": "human", "value": "GIT=https://gitlab.redox-os.org/redox-os/ion.git\n" }, { "from": "gpt", "value": "GIT=https://gitlab.redox-os.org/redox-os/ion.git\nBRANCH=redox-unix\n" } ]
shell
chosen
[ { "from": "system", "value": "Use VS Mac 17.0 to generate mpack\n" }, { "from": "human", "value": "mono /Applications/Visual\\ Studio\\ 2019.app/Contents/Resources/lib/monodevelop/bin/vstool.exe setup pack bin/MonoDevelop.PackageManagement.Extensions.dll" }, { "from": "gpt", "value":...
shell
chosen
[ { "from": "system", "value": "Fix typo and add nikto, nmap and cloc to packages list\n" }, { "from": "human", "value": "#!/bin/bash\n\n#\n# Should be run as local user\n#\n\nif [ \"$(id -u)\" == \"0\" ]; then\n echo \"This script must not be run as root\"\n exit 1\nfi\n\ncd ~/\nmkdir repo\...
shell
chosen
[ { "from": "system", "value": "Add --force to devtools upload\n" }, { "from": "human", "value": "#!/bin/bash\n# Must be invoked with $PACKAGENAME\n\necho $TRAVIS_PULL_REQUEST $TRAVIS_BRANCH\nPUSH_DOCS_TO_S3=false\n\nif [ \"$TRAVIS_PULL_REQUEST\" = true ]; then\n echo \"This is a pull request. ...
shell
chosen
[ { "from": "system", "value": "Remove again the update poms\n\ngit-svn-id: 2c527eb49caa05e19d6b2be874bf74fa9d7ea670@354588 13f79535-47bb-0310-9956-ffa450edef68\n" }, { "from": "human", "value": "#!/bin/sh\n\nPID=$$\nRUNNING=`ps -ef | grep synchronize.sh | grep -v 'sh -c' | grep -v grep | grep -v ...
shell
chosen
[ { "from": "system", "value": "last-working-dir: Use >! to overwrite $cache_file\n\nUse \">!\" to overwrite $cache_file in case noclobber is set. \r\nWhen noclobber is set, zsh will not allow the use of \">\" to overwrite\r\nthe contents of a file. Instead, it displays a \"file exists\" error.\r\nBy using \"...
shell
chosen
[ { "from": "system", "value": "Add local packages directive in the check\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n# Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.\n\n# Check gofmt\necho \"==> Checking that code complies with gofmt requirements...\"\ngo...
shell
chosen
[ { "from": "system", "value": "Use --force when updating to ensure we rebuild deps\n" }, { "from": "human", "value": "#/bin/sh\ngit pull\ngit fetch --recurse-submodules=yes\nnpm install\nfor f in drivers/*;\n do cd $f;\n npm install;\n cd ../..;\ndone" }, { "from": "gpt", "value": ...
shell
chosen
[ { "from": "system", "value": "Improve docker update service script.\n" }, { "from": "human", "value": "#!/bin/bash\n#\n# Copyright © 2016-2018 The Thingsboard Authors\n#\n# Licensed under the Apache License, Version 2.0 (the \"License\");\n# you may not use this file except in compliance with th...
shell
chosen
[ { "from": "system", "value": "Fix node 0.8 blowing up upgrading npm 1 -> 3\n\nRelevant: https://github.com/npm/npm/issues/9668" }, { "from": "human", "value": "#!/usr/bin/env sh\n\nset -o nounset\nset -o errexit\n\nnpm install semver\nif node -e \"process.exit(require('semver').lt(process.argv[1...
shell
chosen
[ { "from": "system", "value": "Remove older folder before download the new one\n" }, { "from": "human", "value": "# Downloads Vim Plug Bundle manager\ncurl -fLo ~/.vim/autoload/plug.vim --create-dirs \\\n https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim\n\n# Clone bundle repos...
shell
chosen
[ { "from": "system", "value": "Update for RVM 1.6.9 compat.\n" }, { "from": "human", "value": "##\n# A script to set up the environment for running the tests in CI.\n# This script should be sourced, not executed.\n\nRUBY=ruby-1.8.7-p330\nGEMSET=psc\n\nset +x\n. ~/.rvm/scripts/rvm\nrvm use \"${RUB...
shell
chosen
[ { "from": "system", "value": "Use preview instead of issues for sonarqube" }, { "from": "human", "value": "#!/bin/bash\nset -euo pipefail\n\nexport TERM=dumb\n\nif [ \"${TRAVIS_BRANCH}\" == \"master\" ] && [ \"$TRAVIS_PULL_REQUEST\" == \"false\" ]; then\n\techo 'Running Gradle check with SonarQu...
shell
chosen
[ { "from": "system", "value": "Quality: Make importing sorting in one go.\n\n* One can provide \"isort\" with all files at once, which makes things\n a lot faster.\n" }, { "from": "human", "value": "#!/bin/bash\n# Copyright 2016, Kay Hayen, mailto:kay.hayen@gmail.com\n#\n# Part of \"Nuit...
shell
chosen
[ { "from": "system", "value": "Remove curly braces for php-fpm\n" }, { "from": "human", "value": "#!/bin/bash\n\nexport PHP_HOME=${IROOT}/php-5.5.17\nexport PHP_FPM=${PHP_HOME}/sbin/php-fpm\nexport NGINX_HOME=${IROOT}/nginx\n\nsed -i 's|127.0.0.1|'\"${DBHOST}\"'|g' app/config/database.php\nsed -i...
shell
chosen
[ { "from": "system", "value": "Remove the avahi-daemon pid file too\n" }, { "from": "human", "value": "#!/bin/bash\n\nsed -i \"s/rlimit-nproc=3/#rlimit-nproc=3/\" /etc/avahi/avahi-daemon.conf\n\ncd /root/.homebridge\nfile=\"/root/.homebridge/package.json\"\nif [ -f \"$file\" ]\nthen\n\techo \"$fi...
shell
chosen
[ { "from": "system", "value": "Fix multiline package list in apt-get command for Travis\n" }, { "from": "human", "value": "#!/bin/sh\n\npackagelist=(\n php5-cli\n php5-common\n php5-curl\n php5-dev\n php5-fpm\n php5-gd\n php5-imagick\n php5-mysql\n)\n\nsudo apt-get install ${packagelist[@...
shell
chosen
[ { "from": "system", "value": "Reset repo before performing actions\n" }, { "from": "human", "value": "#!/bin/bash\ngit pull -f origin master\npython3 fetch.py\ngit diff --exit-code bibs && exit 0\ngit add -A bibs/*.json last_library_config_update.txt\ngit commit -m \"Data update\" --author=\"Opa...
shell
chosen
[ { "from": "system", "value": "Remove Terminal.app resume directory code.\n" }, { "from": "human", "value": "source ~/.fresh/build/shell.sh\n\nexport DOTFILES=~/.dotfiles # Find the this folder\n\n# Source the dotfiles\nsource $DOTFILES/shell/functions.sh # Misc functions\nsource $DOTFILE...
shell
chosen
[ { "from": "system", "value": "Replace zip extension with apk when picking APK file extract name\n" }, { "from": "human", "value": "#! /bin/sh\n\nTOTAL=0\nEXTRACTED=0\nfor ZIP_FILE in zips/android*.zip; do\n ((TOTAL++))\n APK_FILE=$(echo $ZIP_FILE | sed \"s/android/ContentShell/;s/zip/apk/\")\n...
shell
chosen
[ { "from": "system", "value": "Revert \"remove snapshot sufix for release\"\n\nThis reverts commit 95e64e96b61bc1161e69cb3a3acc755f3e4847b9.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nnexusPassword=$1\nnexusHost=$2\ngithubToken=$3\n\nset -e\n\ncurrentHashCommit=`git rev-parse HEAD`\n...
shell
chosen
[ { "from": "system", "value": "Install nodejs-legacy for symlink to `node` executable required by grunt\n\nhttps://stackoverflow.com/questions/26320901/cannot-install-nodejs-usr-bin-env-node-no-such-file-or-directory\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# installs Python-inde...
shell
chosen
[ { "from": "system", "value": "Clean up deployments before cleaning up director\n\n[#145308231](https://www.pivotaltracker.com/story/show/145308231)\n\nSigned-off-by: Zak Auerbach <84a275e6a279738f2aa78daf0002615dee69cc28@pivotal.io>\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -...
shell
chosen
[ { "from": "system", "value": "Use the epel repos as pip in not in the standard ones.\n\n(cherry picked from commit 21ba241b4b3aeba713a7c6f9e7b51c1059999091)\nSigned-off-by: Nicolas Trangez <abbeee14574502be75498298fab55c152b9bac47@nicolast.be>\n" }, { "from": "human", "value": "#!/bin/bash -xue\...
shell
chosen
[ { "from": "system", "value": "Add some clarification around GEM_PATH shenanigans\n" }, { "from": "human", "value": "#!/bin/bash\nset -euo pipefail\n\nif [ -z ${SSH_KEY_PATH+x} ]; then\n\texport SSH_KEY_PATH=~/.ssh/id_rsa\nelse\n\t# For Jenkins, when you have to manually pass in a key\n\tchmod 70...
shell
chosen
[ { "from": "system", "value": "Revert \"Passage sur le nouveau GCC\"\n\nThis reverts commit 0ca075022180b71817ac42535ace19f11aecbc4b.\n" }, { "from": "human", "value": "#!/bin/sh\n\nROBOT_NAME=nerell\nINSTALL_DIR=/opt\n\necho \"Compilation ...\"\n./build-pi-new.sh\n\necho \"Déploiement Applicatif...
shell
chosen
[ { "from": "system", "value": "Define brew priority (ARM > Intel)\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -eu\n\nscripts/configure.sh\necho\n\nscripts/deploy.sh\necho\n\n# Install Rosetta 2 when ARM\nif [ \"$(uname -m)\" = \"arm64\" ]; then\n softwareupdate --install-rosett...
shell
chosen
[ { "from": "system", "value": "Update logic for skipping variable scope validation\n" }, { "from": "human", "value": "source bash-toolbox/init.sh\n\ninclude base.comparator.BaseComparator\n\ninclude command.validator.CommandValidator\n\ninclude formatter.Formatter\n\ninclude logger.Logger\n\nincl...
shell
chosen
[ { "from": "system", "value": "Use built in instead of Finder method\n" }, { "from": "human", "value": "source bash-toolbox/init.sh\n\ninclude base.comparator.BaseComparator\n\ninclude finder.Finder\n\ninclude formatter.Formatter\n\ninclude help.message.HelpMessage\n\ninclude logger.Logger\n\ninc...
shell
chosen
[ { "from": "system", "value": "Comment ncbi blast installation for search similarity\n" }, { "from": "human", "value": "#!/bin/bash\n\n. ./src/prepare_galaxy_tools/functions.sh \n\ngalaxy_tool_dir=$1\ntool_dir=$2\ncurrent_dir=`pwd`\n\nsection_dir=search_similarity\n\necho \"Search similarity...\"...
shell
chosen
[ { "from": "system", "value": "Update notate state for roundup 24\n" }, { "from": "human", "value": "MASTER_SEEN=7ed28a0b78f07eff2dba32bbc84ee4de9870f4e1\nRELEASE_16_09_SEEN=63fee95d58fdd00e3bdd97ceb9c5b620bfdaa2d4\nRELEASE_17_03_SEEN=6c9fb36526dffe3e62d411fc8cdaad82bb6fbfed\n" }, { "from...
shell
chosen
[ { "from": "system", "value": "Manage defined values via environment variables\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\n\nif [ \"$1\" = 'kamailio' ]; then\n exec chroot --userspec=kamailio / /usr/sbin/kamailio -DD -E -m $SHM_MEMORY -M $PKG_MEMORY -u kamailio -g kamailio\nfi\n\nexe...
shell
chosen
[ { "from": "system", "value": "[MINOR] Change github actions tests runner memory allocation\n" }, { "from": "human", "value": "#!/bin/bash\n#-------------------------------------------------------------\n#\n# Licensed to the Apache Software Foundation (ASF) under one\n# or more contributor licens...
shell
chosen
[ { "from": "system", "value": "Remove build folder before release\n" }, { "from": "human", "value": "#!/bin/bash \necho current version:$(python setup.py --version)\nread -p \"new version:\" new_version\nlast_portion=$(grep -E \"^Changelog$\" HISTORY.rst -5 | grep -E \"^\\d+.\\d+.\\d+\")\nchangel...
shell
chosen
[ { "from": "system", "value": "Fix bluetooth: turn on before querying devices\n" }, { "from": "human", "value": "#!/bin/bash\n#\n# Connects with some known bluetooth devices, chosen with dmenu.\n\nset -euo pipefail\n\n\ndeclare -A MAC_ADDRESSES\n\nfunction populate_mac_addresses() {\n readarra...
shell
chosen